#
# spec file for package libspectre
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Url:            http://libspectre.freedesktop.org/

Name:           libspectre
Version:        0.2.7
Release:        15.3
Summary:        Library for Rendering PostScript Documents
License:        GPL-2.0+
Group:          Development/Libraries/C and C++
Source0:        http://libspectre.freedesktop.org/releases/%{name}-%{version}.tar.gz
%define debug_package_requires libspectre1 = %{version}-%{release}
# PATCH-FIX-UPSTREAM libspectre-rotate-documents-correctly.patch fdo#76450 boo#898327 badshah400@gmail.com -- Fix documents not rotated correctly
Patch0:         libspectre-rotate-documents-correctly.patch
Patch1:         fix-bsc975503.diff
BuildRequires:  ghostscript-devel
BuildRequires:  ghostscript-library
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.

%package -n libspectre1
Summary:        Library for Rendering PostScript Documents
Group:          Development/Libraries/C and C++

%description -n libspectre1
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.

%package -n libspectre-devel
Summary:        Library for Rendering PostScript Documents
Group:          Development/Libraries/C and C++
Requires:       libspectre1 >= %{version}
%requires_eq ghostscript-devel

%description -n libspectre-devel
libspectre is a small library for rendering Postscript documents. It
provides a convenient easy to use API for handling and rendering
Postscript documents.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --disable-static --enable-shared
make %{?_smp_mflags}

%install
%make_install

%post -n libspectre1 -p /sbin/ldconfig

%postun -n libspectre1 -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n libspectre1
%defattr(-, root, root)
%doc COPYING
%{_libdir}/libspectre.so.1*

%files -n libspectre-devel
%defattr(-, root, root)
%{_includedir}/libspectre
%{_libdir}/libspectre.la
%{_libdir}/libspectre.so
%{_libdir}/pkgconfig/libspectre.pc

%changelog
* Tue Aug 23 2016 alarrosa@suse.com
- Add fix-bsc975503.diff to fix handling of PostScript files with
  embedded EPS files. The PS file then contains two "%%%%EOF" DSC comments
  and the first one stopped the parsing of the file as if the real EOF
  was reached (bsc#975503).
* Sat Dec 12 2015 badshah400@gmail.com
- Add libspectre-rotate-documents-correctly.patch to fix documents
  being rotated incorrectly; patch taken from upstream bug
  report (fdo#76450,boo#898327,bsc#958630).
* Thu Jan  9 2014 hrvoje.senjan@gmail.com
- Add COPYING to %%doc of the library subpackage (bnc#857790)
* Sun Oct 21 2012 zaitor@opensuse.org
- Update to version 0.2.7:
  + This release fixes two crashes that can happen when %%%%Pages:
    or %%%%Page: comments are missing in the document or when
    %%%%Pages: comment is present but it's invalid.
- Changed tarball into upstream default gz.
- Updated url and sourcelinks to valid locations.
* Mon Aug  9 2010 vuntz@opensuse.org
- Update to version 0.2.6:
  + The most important change in this release is that gs is now
    always initalized with the flag -P- to make Ghostscript not
    look in the current directory for library files. See
    deb#583183.
  + Compiler flags -ansi and -pedantic are now optional and can be
    enabled with --enable-iso-c configure option. (fdo#27735)
  + Files with a doseps header and without EOF comment are
    correctly rendered now. (fdo#27830)
- Changes from version 0.2.5:
  + Fix a portability issue that caused crashes on big-endian 64
    bit systems. See lp#298139.
  + Fix a crash when something goes wrong while running pdf
    exporter. (fdo#26592)
- Add pkg-config BuildRequires to have pkgconfig() Provides.
* Sun Feb 21 2010 vuntz@opensuse.org
- Update to version 0.2.4:
  + Documents containing embedded documents inside the prolog,
    typically font resources, were not correctly rendered
    (fdo#25573)
  + Fix some portability issues to make libspectre build and work
    on Windows (fdo#26377)
  + PDF exporter was broken which might cause a crash when printing
    some documents (fdo#26592)
* Fri Nov 13 2009 vuntz@opensuse.org
- Update to version 0.2.3:
  + Several fixes in the PostScript parser:
  - Detection of invalid or broken files has been improved. A
    document scanned without errors with no pages and no format
    is likely to be an invalid file, or not a PostScript file at
    all (fdo#19042)
  - Fix possible uninitialized use of Document media struct
    contents(fdo#18685)
  - Fix documents with PJL commands before the initial DSC
    comments.
  + Ghostscript is now always run with -dSAFER option
  + A missing argument in gs command line of PDF exporter was
    making it always fail for any document in BSD systems
    (fdo#18826)
  + Internal copy of ghostscript headers have been removed since
    they are already installed by ghostscript since version 8.62
    (fdo#18827)
- Do not call suse_update_config, and do not reset CFLAGS to
  default value.
* Thu Feb  5 2009 vuntz@novell.com
- Update to version 0.2.2:
  + A problem when rendering some documents where the page size is
    different from the Bounding Box has been fixed (fdo#18239)
  + Parser is now locale-independent when parsing float numbers
    (fdo#18685)
  + The display format has been fixed to match cairo/pixman.
    (fdo#18266)
* Wed Oct 22 2008 mrueckert@suse.de
- fix debug_packages_requires define
* Wed Oct 15 2008 stbinner@suse.de
- update to 0.2.1:
  * Fixes and improvements in the PostScript parser
  * Portability fixes
* Fri Aug  1 2008 ro@suse.de
- fix requires for debuginfo package
* Thu Apr  3 2008 dmueller@suse.de
- Initial package (0.2.0)
